<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------

namespace app\adminapi\logic\land;


use app\common\model\land\LandPlantAction;
use app\common\logic\BaseLogic;
use think\facade\Db;


/**
 * LandPlantAction逻辑
 * Class LandPlantActionLogic
 * @package app\adminapi\logic\land
 */
class LandPlantActionLogic extends BaseLogic
{


    /**
     * @notes 添加
     * @param array $params
     * @return bool
     * @author likeadmin
     * @date 2023/11/23 14:53
     */
    public static function add(array $params): bool
    {
        $userId = Db::name('land_plant')->where('id', $params['plant_id'])->value('user_id');
        Db::startTrans();
        try {
            LandPlantAction::create([
                'user_id' => $userId,
                'plant_id' => $params['plant_id'],
                'type' => $params['type'],
                'type_text' => $params['type_text'],
                'detail' => $params['detail'],
            ]);

            Db::commit();
            return true;
        } catch (\Exception $e) {
            Db::rollback();
            self::setError($e->getMessage());
            return false;
        }
    }


    /**
     * @notes 编辑
     * @param array $params
     * @return bool
     * @author likeadmin
     * @date 2023/11/23 14:53
     */
    public static function edit(array $params): bool
    {
        $userId = Db::name('land_plant')->where('id', $params['plant_id'])->value('user_id');
        Db::startTrans();
        try {
            LandPlantAction::where('id', $params['id'])->update([
                'user_id' => $userId,
                'plant_id' => $params['plant_id'],
                'type' => $params['type'],
                'type_text' => $params['type_text'],
                'detail' => $params['detail'],
            ]);

            Db::commit();
            return true;
        } catch (\Exception $e) {
            Db::rollback();
            self::setError($e->getMessage());
            return false;
        }
    }


    /**
     * @notes 删除
     * @param array $params
     * @return bool
     * @author likeadmin
     * @date 2023/11/23 14:53
     */
    public static function delete(array $params): bool
    {
        return LandPlantAction::destroy($params['id']);
    }


    /**
     * @notes 获取详情
     * @param $params
     * @return array
     * @author likeadmin
     * @date 2023/11/23 14:53
     */
    public static function detail($params): array
    {
        return LandPlantAction::findOrEmpty($params['id'])->toArray();
    }
}