<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------

namespace app\api\logic\suyuan_operation;


use app\common\model\suyuan_operation\OperationDisinfectLog;
use app\common\logic\BaseLogic;
use think\facade\Db;


/**
 * OperationDisinfectLog逻辑
 * Class OperationDisinfectLogLogic
 * @package app\api\logic\suyuan_operation
 */
class OperationDisinfectLogLogic extends BaseLogic
{


    /**
     * @notes 添加
     * @param array $params
     * @return bool
     * @author likeadmin
     * @date 2024/01/15 10:07
     */
    public static function add(array $params): bool
    {
        Db::startTrans();
        try {
            OperationDisinfectLog::create([
                'fence_house_id' => $params['fence_house_id'],
                'animal_info_id' => $params['animal_info_id']??0,
                'disinfectant_name' => $params['disinfectant_name'],
                'concentration' => $params['concentration'],
                'disinfectant_method' => $params['disinfectant_method'],
                'disinfectant_area' => $params['disinfectant_area'],
                'operator' => $params['operator'],
                'pic' => $params['pic'],
                'remark' => $params['remark'],
            ]);

            Db::commit();
            return true;
        } catch (\Exception $e) {
            Db::rollback();
            self::setError($e->getMessage());
            return false;
        }
    }


    /**
     * @notes 编辑
     * @param array $params
     * @return bool
     * @author likeadmin
     * @date 2024/01/15 10:07
     */
    public static function edit(array $params): bool
    {
        Db::startTrans();
        try {
            OperationDisinfectLog::where('id', $params['id'])->update([
                'fence_house_id' => $params['fence_house_id'],
                'animal_info_id' => $params['animal_info_id']??0,
                'disinfectant_name' => $params['disinfectant_name'],
                'concentration' => $params['concentration'],
                'disinfectant_method' => $params['disinfectant_method'],
                'disinfectant_area' => $params['disinfectant_area'],
                'operator' => $params['operator'],
                'pic' => $params['pic'],
                'remark' => $params['remark'],
            ]);

            Db::commit();
            return true;
        } catch (\Exception $e) {
            Db::rollback();
            self::setError($e->getMessage());
            return false;
        }
    }


    /**
     * @notes 删除
     * @param array $params
     * @return bool
     * @author likeadmin
     * @date 2024/01/15 10:07
     */
    public static function delete(array $params): bool
    {
        return OperationDisinfectLog::destroy($params['id']);
    }


    /**
     * @notes 获取详情
     * @param $params
     * @return array
     * @author likeadmin
     * @date 2024/01/15 10:07
     */
    public static function detail($params): array
    {
        return OperationDisinfectLog::findOrEmpty($params['id'])->toArray();
    }
}