<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------

namespace app\common\model\farm;


use app\common\model\BaseModel;
use think\model\concern\SoftDelete;


/**
 * Farm模型
 * Class Farm
 * @package app\common\model\farm
 */
class Farm extends BaseModel
{
    use SoftDelete;
    protected $name = 'farm';
    protected $deleteTime = 'delete_time';

    
    /**
     * @notes 关联province
     * @return \think\model\relation\HasOne
     * @author likeadmin
     * @date 2024/01/09 18:22
     */
    public function provinceAttr()
    {
        return $this->hasOne(\app\common\model\geo\Province::class, 'province_code', 'province');
    }

    /**
     * @notes 关联city
     * @return \think\model\relation\HasOne
     * @author likeadmin
     * @date 2024/01/09 18:22
     */
    public function cityAttr()
    {
        return $this->hasOne(\app\common\model\geo\City::class, 'city_code', 'city');
    }

    /**
     * @notes 关联area
     * @return \think\model\relation\HasOne
     * @author likeadmin
     * @date 2024/01/09 18:22
     */
    public function areaAttr()
    {
        return $this->hasOne(\app\common\model\geo\County::class, 'county_code', 'area');
    }

    /**
     * @notes 关联street
     * @return \think\model\relation\HasOne
     * @author likeadmin
     * @date 2024/01/09 18:22
     */
    public function streetAttr()
    {
        return $this->hasOne(\app\common\model\geo\Town::class, 'town_code', 'street');
    }

    /**
     * @notes 关联village
     * @return \think\model\relation\HasOne
     * @author likeadmin
     * @date 2024/01/09 18:22
     */
    public function villageAttr()
    {
        return $this->hasOne(\app\common\model\geo\Village::class, 'village_code', 'village');
    }

    /**
     * @notes 关联bridge
     * @return \think\model\relation\HasOne
     * @author likeadmin
     * @date 2024/01/09 18:22
     */
    public function bridgeAttr()
    {
        return $this->hasOne(\app\common\model\geo\Group::class, 'id', 'bridge');
    }

}